DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# EuclideanDistanceToPoint

Distance generation function

## SYNOPSIS

`#include "dip_generation.h"`

dip_Error dip_EuclideanDistanceToPoint ( output, origin )

## DATA TYPES

Output: sfloat

## FUNCTION

Computes the Euclidean distance of each pixel in the output image to a point at `origin`. The coordinates of `origin` may lie outside the image.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `output` | Output Image
`dip_FloatArray` | `origin` | Coordinates of the Origin

## SEE ALSO

`EllipticDistanceToPoint`, `CityBlockDistanceToPoint`

DIPlib on-line documentation | Function reference | Global function index